commonmark-extensions-0.2.7: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.Math

# Documentation

class HasMath a where Source #

Methods

inlineMath :: Text -> a Source #

displayMath :: Text -> a Source #

#### Instances

Instances details

HasMath (Html a) Source # |
Instance details Defined in Commonmark.Extensions.Math Methods inlineMath :: Text -> Html a Source # displayMath :: Text -> Html a Source #
(HasMath i, Monoid i) => HasMath (WithSourceMap i) Source # |
Instance details Defined in Commonmark.Extensions.Math Methods inlineMath :: Text -> WithSourceMap i Source # displayMath :: Text -> WithSourceMap i Source #

mathSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl, IsInline il, HasMath il) => SyntaxSpec m il bl Source #